org.omg.CORBA.portable

## Interface StreamableValue

- All Superinterfaces:
    IDLEntity, Serializable, Streamable, ValueBase

      public interface StreamableValue
      extends Streamable, ValueBase

  Defines the base type for all non-boxed IDL valuetypes that are not custom marshaled. All value types implement ValueBase either directly or indirectly by implementing either the StreamableValue or CustomValue interface.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.CORBA.portable.Streamable

      `_read, _type, _write`

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.